View Issue Details

IDProjectCategoryView StatusLast Update
0029988CommunityOCCT:Visualizationpublic2021-01-25 14:52
ReporterVico Liang Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.4.0Fixed in Version7.4.0 
Summary0029988: AIS_Shape - SetWidth() and SetColor() has no effect for FaceBoundary
DescriptionColor and width of FaceBoundary without changes after calling SetWidth() and SetColor(). The expected result should be that the color and width changes.
TagsNo tags attached.
Test case numberbugs/vis/bug23407_2

Attached Files

  • Rhino_FaceBoundaryWithColor.png (561,228 bytes)

Relationships

related to 0027265 closedbugmaster Open CASCADE vaspects -setwidth does not modify free wire width 
parent of 0032071 closedbugmaster Community Visualization - does AIS_Shape::SetColor() affect the FaceBoundaryAspect of other AIS_Shape? 
related to 0030124 closedapn Open CASCADE Visualization, AIS_InteractiveObject - clean up confusing Presentation invalidation logic 

Activities

kgv

2018-07-26 22:18

developer   ~0078055

This is by design - FaceBoundary is not expected to be modified by SetWidth/SetColor methods.
SetWidth/SetColor are just convenient short-cuts applying some "standard" effect, but it is very difficult to define what is expected and what is not in case of such complex presentations like AIS_Shape consisting of many elements.
Therefore, application should not rely only on SetWidth/SetColor to do all the job - if result looks unexpected, application is expected to manage Prs3d_Drawer in desired way.

More comments from previous request:
- AIS_Shape::SetWidth() changes line aspects for lines-only presentation modes like Wireframe and Bounding Box.
- FaceBoundaryAspect is designed for Shaded mode and thus it is not desirable to mess up it with other line aspects.

Vico Liang

2018-07-27 06:13

developer   ~0078059

Last edited: 2018-07-27 06:40

We use TPrsStd_AISPresentation to manage the presentation of object, it's expected that SetWidth and SetColor changes FaceBoundary of AIS_Shape. in my opinion, FaceBoundary is line presentation and it should be considered. There are other software which will change the faceBondary line colors such as Rhino. I'd like to attach an image of Rhino.

Vico Liang

2018-07-27 06:20

developer  

Rhino_FaceBoundaryWithColor.png (561,228 bytes)

Vico Liang

2018-07-27 06:37

developer   ~0078060

I don't think FaceBoundaryAspect is an exception. The rules should be simple and clear. SetWidth() and SetColor() will change everything. if result looks unexpected, application is expected to manage Prs3d_Drawer in desired way.

git

2018-09-10 18:48

administrator   ~0079099

Branch CR29988 has been created by kgv.

SHA-1: f61b4a818ca1e67c82d110c8114704c60e673347


Detailed log of new commits:

Author: kgv
Date: Mon Sep 10 18:44:17 2018 +0300

    0029988: AIS_Shape - SetWidth() and SetColor() has no effect for FaceBoundary
    
    AIS_Shape SetWidth and SetColor methods now propagate modifications to FaceBoundary aspect.

git

2018-09-10 20:35

administrator   ~0079101

Branch CR29988 has been updated forcibly by kgv.

SHA-1: ceb5d7fb3bed1f46b3015e0772d5d38c6cf4c2ed

kgv

2018-09-10 22:10

developer   ~0079102

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com/view/CR29988-master-KGV/

san

2018-09-11 19:49

developer   ~0079134

Branch CR29988 reviewed without remarks.

bugmaster

2018-09-11 20:40

administrator   ~0079138

Combination -
OCCT branch : CR29988 SHA - ceb5d7fb3bed1f46b3015e0772d5d38c6cf4c2ed
Products branch : master SHA - 1cfd7530b31d67df5934df8f8482970efcc7aae9
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17823.319999999843 / 17645.18999999985 [+1.01%]
Products
Total CPU difference: 7455.31000000007 / 7452.260000000036 [+0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 17377.20099159854 / 17465.887560098538 [-0.51%]
Products
Total CPU difference: 8341.155068600003 / 8331.295805399992 [+0.12%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2018-09-22 18:33

administrator   ~0079326

Branch CR29988 has been deleted by inv.

SHA-1: ceb5d7fb3bed1f46b3015e0772d5d38c6cf4c2ed

Related Changesets

occt: master 7604a153

2018-09-10 15:44:17

kgv


Committer: bugmaster Details Diff
0029988: AIS_Shape - SetWidth() and SetColor() has no effect for FaceBoundary

AIS_Shape SetWidth and SetColor methods now propagate modifications to FaceBoundary aspect.
Affected Issues
0029988
mod - src/AIS/AIS_ColoredShape.cxx Diff File
mod - src/AIS/AIS_GraphicTool.cxx Diff File
mod - src/AIS/AIS_Shape.cxx Diff File
mod - src/AIS/AIS_Shape.hxx Diff File
mod - src/AIS/AIS_TypeOfAttribute.hxx Diff File
mod - tests/bugs/vis/bug23407_2 Diff File

Issue History

Date Modified Username Field Change
2018-07-26 18:38 Vico Liang New Issue
2018-07-26 18:38 Vico Liang Assigned To => kgv
2018-07-26 18:39 Vico Liang Summary SetWidth() and SetColor() has no effect for FaceBoundary => AIS_Shape - SetWidth() and SetColor() has no effect for FaceBoundary
2018-07-26 22:12 kgv Relationship added related to 0027265
2018-07-26 22:18 kgv Note Added: 0078055
2018-07-26 22:18 kgv Assigned To kgv => Vico Liang
2018-07-26 22:18 kgv Status new => feedback
2018-07-26 22:18 kgv Resolution open => no change required
2018-07-27 06:13 Vico Liang Note Added: 0078059
2018-07-27 06:16 Vico Liang File Added: Rhino_FaceBoundaryWithColor.png
2018-07-27 06:16 Vico Liang Assigned To Vico Liang =>
2018-07-27 06:17 Vico Liang File Deleted: Rhino_FaceBoundaryWithColor.png
2018-07-27 06:19 Vico Liang File Added: Rhino_FaceBoundaryWithColor.png
2018-07-27 06:19 Vico Liang File Deleted: Rhino_FaceBoundaryWithColor.png
2018-07-27 06:20 Vico Liang File Added: Rhino_FaceBoundaryWithColor.png
2018-07-27 06:21 Vico Liang Assigned To => kgv
2018-07-27 06:37 Vico Liang Note Added: 0078060
2018-07-27 06:40 Vico Liang Note Edited: 0078059
2018-09-10 18:48 git Note Added: 0079099
2018-09-10 19:02 kgv Relationship added related to 0030124
2018-09-10 20:35 git Note Added: 0079101
2018-09-10 22:10 kgv Note Added: 0079102
2018-09-10 22:10 kgv Assigned To kgv => san
2018-09-10 22:10 kgv Status feedback => resolved
2018-09-11 19:49 san Note Added: 0079134
2018-09-11 19:49 san Assigned To san => bugmaster
2018-09-11 19:49 san Status resolved => reviewed
2018-09-11 20:37 bugmaster Test case number => bugs/vis/bug23407_2
2018-09-11 20:40 bugmaster Note Added: 0079138
2018-09-11 20:40 bugmaster Status reviewed => tested
2018-09-15 17:11 bugmaster Changeset attached => occt master 7604a153
2018-09-15 17:11 bugmaster Status tested => verified
2018-09-15 17:11 bugmaster Resolution no change required => fixed
2018-09-22 18:33 git Note Added: 0079326
2021-01-25 14:52 kgv Relationship added parent of 0032071
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.